मैं गैट्सबी स्टार्टर ब्लॉग टेम्प्लेट का उपयोग कर रहा हूं, मैंने सफलतापूर्वक सामग्री से समृद्ध पाठ प्राप्त करने और इसे एक पृष्ठ पर प्रदर्शित करने में कामयाबी हासिल की है। अब मैं वही काम करने की कोशिश कर रहा हूं लेकिन मार्कडाउन के साथ लेकिन मुझे एक त्रुटि मिल रही है "संसाधन लाने का प्रयास करते समय नेटवर्क त्रुटि।" मेरी ग्राफिकल क्वेरी से।

मैं यहां दस्तावेज़ों का पालन करने की कोशिश कर रहा हूं, इसलिए शुरू करने के लिए मेरे पास "बॉडीम" नामक सामग्री में मार्कडाउन को स्टोर करने के लिए उपयोग किया जाने वाला एक लंबा टेक्स्ट फ़ील्ड है।

enter image description here

मेरी ग्राफ़क्यूएल क्वेरी नीचे है, मैं मूल रूप से उदाहरण का अनुसरण करने का प्रयास कर रहा हूं . मैं कंटेंटफुल से मार्कडाउन को क्वेरी करने तक प्राप्त कर सकता हूं।

enter image description here

हालांकि, इसे प्रयोग करने योग्य HTML में बदलने का प्रयास करते समय मुझे त्रुटि मिलती है:

enter image description here

मुझे कंसोल में निम्नलिखित मिलता है:

 ERROR 

The "path" argument must be of type string. Received type undefined

  Error: TypeError [ERR_INVALID_ARG_TYPE]: The "path" argument must be of type string. Recei  ved type undefined

  - validators.js:125 validateString
    internal/validators.js:125:11

  - index.js:68 _callee$
    [faesel-blog]/[gatsby-remark-relative-images]/index.js:68:40

  - index.js:5 asyncGeneratorStep
    [faesel-blog]/[gatsby-remark-relative-images]/index.js:5:103

  - index.js:7 _next
    [faesel-blog]/[gatsby-remark-relative-images]/index.js:7:194

  - index.js:7 
    [faesel-blog]/[gatsby-remark-relative-images]/index.js:7:364

  - new Promise

  - index.js:7 
    [faesel-blog]/[gatsby-remark-relative-images]/index.js:7:97

  - index.js:96 
    [faesel-blog]/[gatsby-remark-relative-images]/index.js:96:22

  - new Promise

  - index.js:47
    [faesel-blog]/[gatsby-remark-relative-images]/index.js:47:12

  - Array.map

  - index.js:46 module.exports
    [faesel-blog]/[gatsby-remark-relative-images]/index.js:46:22

मेरा कोड यहां मिल सकता है।

ध्यान में रखते हुए मैं सामग्री से मार्कडाउन पुनर्प्राप्त करने में सक्षम हूं। मुझे लगता है कि समस्या gatsby-source-contentful प्लगइन में कहीं है। किसी भी मदद की सराहना करें!

0
FishFingers 15 जून 2020, 10:58

1 उत्तर

सबसे बढ़िया उत्तर

मैंने पाया कि यह पैकेज निर्भरताओं के साथ एक समस्या है, कोडबेस मूल रूप से गैट्सबी स्टार्टर से था, इसे हल करने के लिए मैंने पैकेज निर्भरताओं को निम्नलिखित में बदल दिया:

"dependencies": {
    "@contentful/rich-text-from-markdown": "^14.1.1",
    "@contentful/rich-text-react-renderer": "^13.2.0",
    "gatsby": "^2.3.3",
    "gatsby-plugin-react-helmet": "^3.0.12",
    "gatsby-plugin-sass": "^2.0.11",
    "gatsby-plugin-sharp": "^2.0.32",
    "gatsby-remark-images": "^3.0.10",
    "gatsby-remark-relative-images": "^0.2.2",
    "gatsby-source-contentful": "^2.0.47",
    "gatsby-source-filesystem": "^2.0.28",
    "gatsby-transformer-remark": "^2.3.8",
    "node-sass": "^4.11.0",
    "react": "^16.8.6",
    "react-dom": "^16.8.6",
    "react-helmet": "^5.2.0"
  },

फिर निर्भरताओं को निम्न में अपग्रेड किया:

  "dependencies": {
    "@contentful/rich-text-from-markdown": "^14.1.1",
    "@contentful/rich-text-react-renderer": "^13.4.0",
    "gatsby": "^2.23.11",
    "gatsby-plugin-react-helmet": "^3.3.6",
    "gatsby-plugin-sass": "^2.3.6",
    "gatsby-plugin-sharp": "^2.6.14",
    "gatsby-remark-images": "^3.3.13",
    "gatsby-remark-relative-images": "^0.2.3",
    "gatsby-source-contentful": "^2.3.18",
    "gatsby-source-filesystem": "^2.3.14",
    "gatsby-transformer-remark": "^2.8.19",
    "node-sass": "^4.14.1",
    "react": "^16.13.1",
    "react-dom": "^16.13.1",
    "react-helmet": "^5.2.1"
  }

यह समस्या को ठीक करने लग रहा था।

0
FishFingers 27 जून 2020, 17:41